Bug 448917 - broker default to syslog, improvements to syslog configuration.
broker default to syslog, improvements to syslog configuration.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Alan Conway
Kim van der Riet
: Reopened
Depends On:
Blocks: 449040
  Show dependency treegraph
 
Reported: 2008-05-29 10:01 EDT by Alan Conway
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-05-29 10:01:37 EDT
Description of problem:

Broker to default to --log-output=syslog --log-enable=warn+
Install scripts set up appropriate syslog configuration.
New config options:
 --log--syslog-name - default to argv[0]
 --log--syslog-facility - default to LOG_USER

Update to install guide required.
Comment 1 Gordon Sim 2008-05-29 11:13:35 EDT
Default for log-output should not be syslog, that will be done in the qpidd init
script.
Comment 2 Alan Conway 2008-06-02 18:00:39 EDT
Added the following new options:
  --syslog-name NAME (lt-qpidd)           Name to use in syslog messages
  --syslog-facility LOG_XXX (LOG_DAEMON)  Facility to use in syslog messages

Default output not changed.

Revision r662558
Comment 4 Lana Brindley 2008-06-03 22:58:24 EDT
Ooops - meant to close the doc bug, not this one. My bad.

LKB
Comment 5 Mike Bonnet 2008-06-19 23:52:47 EDT
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.